# Uses of Interface
org.apache.commons.math3.ode.events.EventHandler

Packages that use EventHandler
Package
Description
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.

## Uses of EventHandler in org.apache.commons.math3.ode

Methods in org.apache.commons.math3.ode that return types with arguments of type EventHandler
Modifier and Type
Method
Description
`Collection<EventHandler>`
AbstractIntegrator.`getEventHandlers()`
Get all the event handlers that have been added to the integrator.
`Collection<EventHandler>`
ODEIntegrator.`getEventHandlers()`
Get all the event handlers that have been added to the integrator.
Methods in org.apache.commons.math3.ode with parameters of type EventHandler
Modifier and Type
Method
Description
`void`
AbstractIntegrator.`addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount)`
Add an event handler to the integrator.
`void`
AbstractIntegrator.`addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount, UnivariateSolver solver)`
Add an event handler to the integrator.
`void`
ODEIntegrator.`addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount)`
Add an event handler to the integrator.
`void`
ODEIntegrator.`addEventHandler(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount, UnivariateSolver solver)`
Add an event handler to the integrator.

## Uses of EventHandler in org.apache.commons.math3.ode.events

Classes in org.apache.commons.math3.ode.events that implement EventHandler
Modifier and Type
Class
Description
`class`
`EventFilter`
Wrapper used to detect only increasing or decreasing events.
Methods in org.apache.commons.math3.ode.events that return EventHandler
Modifier and Type
Method
Description
`EventHandler`
EventState.`getEventHandler()`
Get the underlying event handler.
Constructors in org.apache.commons.math3.ode.events with parameters of type EventHandler
Modifier
Constructor
Description
``
`EventFilter(EventHandler rawHandler, FilterType filter)`
Wrap an `event handler`.
``
`EventState(EventHandler handler, double maxCheckInterval, double convergence, int maxIterationCount, UnivariateSolver solver)`
Simple constructor.

## Uses of EventHandler in org.apache.commons.math3.ode.nonstiff

Methods in org.apache.commons.math3.ode.nonstiff with parameters of type EventHandler
Modifier and Type
Method
Description
`void`
GraggBulirschStoerIntegrator.`addEventHandler(EventHandler function, double maxCheckInterval, double convergence, int maxIterationCount, UnivariateSolver solver)`
Add an event handler to the integrator.